Bug 553971 - installers created with makensis don't show bitmaps
Summary: installers created with makensis don't show bitmaps
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mingw32-nsis
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kevin Kofler
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-09 19:56 UTC by amorilia
Modified: 2011-01-03 17:33 UTC (History)
5 users (show)

Fixed In Version: 2.45-3.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-21 00:10:42 UTC


Attachments (Terms of Use)
compile plugins with -static-libgcc (602 bytes, patch)
2010-01-09 19:58 UTC, amorilia
no flags Details | Diff

Description amorilia 2010-01-09 19:56:20 UTC
Description of problem:

Bitmaps not to show in Windows installers created with makensis. Running the installer under wine reveals that the installers exe have a dll dependency:

err:module:import_dll Library libgcc_s_sjlj-1.dll (which is needed by L"C:\\windows\\temp\\nsw2ee.tmp\\System.dll") not found

(Although on Fedora, one can configure wine so this dll is actually found, windows users will typically not have this dll in their path when running the installer on their system.)

The dependency is easily removed by compiling the plugins with -static-libgcc. A patch is attached.



Version-Release number of selected component (if applicable):

2.45-2



How reproducible:


Steps to Reproduce:
1.
cat > test.nsi <<EOF
OutFile "test.exe"
!include "MUI2.nsh"
!insertmacro MUI_PAGE_WELCOME
!insertmacro MUI_LANGUAGE "English"
Section -
SectionEnd
EOF

2.
makensis test.nsi

3.
wine test.exe
  
Actual results:

The installer bitmap is not visible on the welcome page.

Expected results:

The installer bitmap is visible on the welcome page.

Additional info:

Attached patch fixes the bug.

Comment 1 amorilia 2010-01-09 19:58:07 UTC
Created attachment 382700 [details]
compile plugins with -static-libgcc

Comment 2 Kevin Kofler 2010-01-11 06:22:39 UTC
The "if plugin_env['PLATFORM'] != 'win32':" part is not really necessary, the flag also makes sense for native MinGW builds, and besides we just patch the NSIS build system for what we want anyway.

Comment 3 Richard W.M. Jones 2010-01-11 08:39:17 UTC
This is an upstream bug, right?

Comment 4 Kevin Kofler 2010-01-11 08:58:27 UTC
Yes, I think so. We'll need to send them the patch, otherwise they're unlikely to notice as they use M$VC for their own binaries.

Comment 5 amorilia 2010-01-12 19:12:37 UTC
Ok, I will report this upstream.

Comment 6 amorilia 2010-01-12 19:29:46 UTC
For reference, here's the upstream bug report:

https://sourceforge.net/tracker/?func=detail&aid=2930854&group_id=22049&atid=373087

Comment 7 Fedora Update System 2010-01-12 23:37:34 UTC
mingw32-nsis-2.45-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mingw32-nsis'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0397

Comment 8 Fedora Update System 2010-01-21 00:03:01 UTC
mingw32-nsis-2.45-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-01-21 00:10:38 UTC
mingw32-nsis-2.45-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-12-17 09:18:01 UTC
mingw32-nsis-2.46-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mingw32-nsis-2.46-1.el5

Comment 11 Fedora Update System 2011-01-03 17:33:05 UTC
mingw32-nsis-2.46-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.